# __gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_TL, Allocator > Class Template Reference

Inheritance diagram for __gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_TL, Allocator >:

List of all members.

## Detailed Description

### template<typename Key, typename Mapped, typename Hash_Fn, typename Eq_Fn, typename Resize_Policy, bool Store_Hash, typename Tag, typename Policy_TL, typename Allocator>
class __gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_TL, Allocator >

Definition at line 134 of file assoc_container.hpp.

## Public Types

- typedef Allocator allocator
- typedef base_type::const_iterator const_iterator
- typedef key_rebind::const_pointer const_key_pointer
- typedef key_rebind::const_reference const_key_reference
- typedef mapped_rebind::const_pointer const_mapped_pointer
- typedef mapped_rebind::const_reference const_mapped_reference
- typedef base_type::const_point_iterator const_point_iterator
- typedef value_rebind::const_pointer const_pointer
- typedef value_rebind::const_reference const_reference
- typedef Tag container_category
- typedef allocator::difference_type difference_type
- typedef base_type::iterator iterator
- typedef key_rebind::pointer key_pointer
- typedef allocator::template
  rebind< key_type >::other key_rebind
- typedef key_rebind::reference key_reference
- typedef allocator::template
  rebind< Key >::other::value_type key_type
- typedef mapped_rebind::pointer mapped_pointer
- typedef allocator::template
  rebind< mapped_type >::other mapped_rebind
- typedef mapped_rebind::reference mapped_reference
- typedef Mapped mapped_type
- typedef base_type::point_iterator point_iterator
- typedef value_rebind::pointer pointer
- typedef value_rebind::reference reference
- typedef allocator::size_type size_type
- typedef allocator::template
  rebind< value_type >::other value_rebind
- typedef base_type::value_type value_type

## Public Member Functions

- virtual ~basic_hash_table ()

The documentation for this class was generated from the following file:

- assoc_container.hpp